package com.cim.idm.wmspackage.materialshiprequestdetail.management.data;

import com.cim.idm.framework.orm.info.KeyInfo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

public class MaterialShipRequestDetailKey implements KeyInfo {
	@JsonProperty("SITENAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String siteName;
	@JsonProperty("SHIPREQUESTNAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String shipRequestName;
	@JsonProperty("SHIPREQUESTDETAILNAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String shipRequestDetailName;
	
	
	public MaterialShipRequestDetailKey(){
		
	}
	public MaterialShipRequestDetailKey(String siteName,String shipRequestName, String shipRequestDetailName){
		
		this.siteName=siteName;
		this.shipRequestName=shipRequestName;
		this.shipRequestDetailName=shipRequestDetailName;
	}
	
	
	public String getSiteName() {
		return siteName;
	}
	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}
	public String getShipRequestName() {
		return shipRequestName;
	}
	public void setShipRequestName(String shipRequestName) {
		this.shipRequestName = shipRequestName;
	}
	public String getShipRequestDetailName() {
		return shipRequestDetailName;
	}
	public void setShipRequestDetailName(String shipRequestDetailName) {
		this.shipRequestDetailName = shipRequestDetailName;
	}
	
	
	
}
